/**
 * Copyright 2005-2012 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl2.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.kew.api.rule;

import org.kuali.rice.core.api.util.KeyValue;

import java.util.List;
import java.util.Map;

public interface RuleReportCriteriaContract {
    String getRuleDescription();
    String getDocumentTypeName();
    String getRuleTemplateName();
    List<String> getActionRequestCodes();
    String getResponsiblePrincipalId();
    String getResponsibleGroupId();
    String getResponsibleRoleName();
    Map<String, String> getRuleExtensions();
    boolean isActive();
    boolean isConsiderGroupMembership();
    boolean isIncludeDelegations();
}
